You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@htrace.apache.org by st...@apache.org on 2015/09/18 22:56:22 UTC

incubator-htrace git commit: HTRACE-255 Failed finding GODEPs on mac os x (Colin Patrick McCabe)

Repository: incubator-htrace
Updated Branches:
  refs/heads/master fcb5c1be8 -> b10c5433a


HTRACE-255 Failed finding GODEPs on mac os x (Colin Patrick McCabe)


Project: http://git-wip-us.apache.org/repos/asf/incubator-htrace/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-htrace/commit/b10c5433
Tree: http://git-wip-us.apache.org/repos/asf/incubator-htrace/tree/b10c5433
Diff: http://git-wip-us.apache.org/repos/asf/incubator-htrace/diff/b10c5433

Branch: refs/heads/master
Commit: b10c5433a7065f56f5789b7c76b292fc38a18aad
Parents: fcb5c1b
Author: stack <st...@duboce.net>
Authored: Fri Sep 18 13:56:04 2015 -0700
Committer: stack <st...@duboce.net>
Committed: Fri Sep 18 13:56:04 2015 -0700

----------------------------------------------------------------------
 htrace-htraced/go/gobuild.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-htrace/blob/b10c5433/htrace-htraced/go/gobuild.sh
----------------------------------------------------------------------
diff --git a/htrace-htraced/go/gobuild.sh b/htrace-htraced/go/gobuild.sh
index f23c639..2728b8f 100755
--- a/htrace-htraced/go/gobuild.sh
+++ b/htrace-htraced/go/gobuild.sh
@@ -116,8 +116,10 @@ install)
     fi
 
     # Download dependencies into the build directory.
-    echo "godep restore..."
-    godep restore || die "failed to set up dependencies"
+    pushd "${GOBIN}/.." &> /dev/null || die "failed to cd to ${GOBIN}/.."
+    echo "${GOBIN}/godep restore..."
+    "${GOBIN}/godep" restore || die "failed to set up dependencies"
+    popd &> /dev/null
 
     # Discover the git version
     GIT_VERSION=$(git rev-parse HEAD)